package com.zfire.jiasm.syncdata.base;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author yaozx
 * @version 1.0
 * @description 介绍
 * @date 2023-02-08
 */
@Data
public class WorkerCertificateInfo {
    @ApiModelProperty(value = "身份证正面")
    private String sfzz;
    @ApiModelProperty(value = "身份证反面")
    private String sfzf;
    @ApiModelProperty(value = "身份证编号")
    private String sfzbh;
    @ApiModelProperty(value = "有效期")
    private String sfzyxq;
    @ApiModelProperty(value = "复审日期")
    private String sfzfsrq;

    @ApiModelProperty(value = "保险证正面")
    private String bxz;
    @ApiModelProperty(value = "保险证反面")
    private String bxf;
    @ApiModelProperty(value = "有效期")
    private String bxyxq;
    @ApiModelProperty(value = "复审日期")
    private String bxfsrq;

    @ApiModelProperty(value = "高空作业证正面")
    private String gkzz;
    @ApiModelProperty(value = "高空作业证反面")
    private String gkzf;
    @ApiModelProperty(value = "高空作业证编号")
    private String gkzbh;
    @ApiModelProperty(value = "有效期 必填")
    private String gkzyxq;
    @ApiModelProperty(value = "复审日期 必填")
    private String gkzfsrq;

    @ApiModelProperty(value = "上岗资格证正面")
    private String sgzgzz;
    @ApiModelProperty(value = "上岗资格证反面")
    private String sgzgzf;
    @ApiModelProperty(value = "上岗资格证编号")
    private String sgzgzbh;
    @ApiModelProperty(value = "有效期")
    private String sgzgzyxq;
    @ApiModelProperty(value = "复审日期")
    private String sgzgzfsrq;

    @ApiModelProperty(value = "制冷工证正面")
    private String zlgz;
    @ApiModelProperty(value = "制冷工证反面")
    private String zlgf;
    @ApiModelProperty(value = "制冷工编号")
    private String zlgbh;
    @ApiModelProperty(value = "有效期 必填")
    private String zlgyxq;
    @ApiModelProperty(value = "复审日期 必填")
    private String zlgfsrq;

    @ApiModelProperty(value = "驾驶证正面")
    private String jszz;
    @ApiModelProperty(value = "驾驶证反面")
    private String jszf;
    @ApiModelProperty(value = "车牌号")
    private String cph;
    @ApiModelProperty(value = "GPS码")
    private String gpsm;
    @ApiModelProperty(value = "有效期")
    private String jszyxq;
    @ApiModelProperty(value = "复审日期")
    private String jszfsrq;

}
