package com.zfire.jiasm.syncdata.dao.mapper;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zfire.jiasm.syncdata.parameter.OrderPar;
import com.zfire.jiasm.syncdata.plus.entity.ItfTblAssignDownload;
import com.zfire.jiasm.syncdata.plus.entity.OrderBase;
import org.apache.ibatis.annotations.Param;

/**
 * 维修单表下载记录  Mapper 接口
 * @author yaozx
 * @since 2023-03-08
 */
public interface RepairDownloadMapper extends BaseMapper<ItfTblAssignDownload> {
    @SqlParser(filter = true)
    OrderBase getOrderBase(@Param("request") OrderPar request);
    @SqlParser(filter = true)
    OrderBase getUpOrderBase(@Param("request") OrderPar request);

    @SqlParser(filter = true)
    OrderBase getOrderBaseStatus(@Param("request") OrderPar request);




}
