package com.zfire.jiasm.syncdata.gree.recycle;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@ApiModel
public class RecycleAssignDownloadBean extends RecycleAssignBean {

    @ApiModelProperty(value = "回收单号")
    private String pgid;

    @ApiModelProperty(value = "来源单号")
    private String srcOrderNo;

    private String createdBy;

    private Date createdDate;

    private String lastModifiedBy;

    private Date lastModifiedDate;

    @ApiModelProperty(value = "用户名称")
    private String yhmc;

    @ApiModelProperty(value = "手机号码（移动电话）")
    private String yddh;

    @ApiModelProperty(value = "区号 如020 广州")
    private String quhao;

    @ApiModelProperty(value = "电话号码")
    private String dhhm;

    @ApiModelProperty(value = "电子邮件")
    private String email;

    @ApiModelProperty(value = "品类名称拼接，空调、电视")
    private String spmc;

    @ApiModelProperty(value = "省份id")
    private Long sfenid;

    @ApiModelProperty(value = "省份")
    private String sfen;

    @ApiModelProperty(value = "城市id")
    private Long cshiid;

    @ApiModelProperty(value = "市")
    private String cshi;

    @ApiModelProperty(value = "县id")
    private Long xianid;

    @ApiModelProperty(value = "县")
    private String xian;

    @ApiModelProperty(value = "乡镇id")
    private String xzhenid;

    @ApiModelProperty(value = "街道办/乡镇")
    private String xzhen;

    @ApiModelProperty(value = "地址")
    private String dizi;

    @ApiModelProperty(value = "备注")
    private String beiz;

    @ApiModelProperty(value = "上一流程状态")
    private Long qystat;

    @ApiModelProperty(value = "派工状态")
    private Long stat;

    @ApiModelProperty(value = "最近操作网点")
    private String zjczwd;

    @ApiModelProperty(value = "系统网点编号")
    private Long zjczwdxtbh;

    @ApiModelProperty(value = "创建人")
    private String cjren;

    @ApiModelProperty(value = "创建人姓名")
    private String cjrmc;

    @ApiModelProperty(value = "创建时间")
    private Date cjdt;

    @ApiModelProperty(value = "用户期望上门时间")
    private Date yhqwsmsj;

    @ApiModelProperty(value = "期望上门结束时间")
    private Date qwsmjssj;

    @ApiModelProperty(value = "所属维修区域")
    private String ssqy;

    @ApiModelProperty(value = "完成时间")
    private Date wcsj;

    @ApiModelProperty(value = "派工下级网点")
    private String xjwdno;

    @ApiModelProperty(value = "派工下级网点名称")
    private String xjwdmc;

    @ApiModelProperty(value = "维修人员")
    private String wxren;

    @ApiModelProperty(value = "维修人ID")
    private Long wxrenid;

    @ApiModelProperty(value = "维修网点")
    private String wxwdno;

    @ApiModelProperty(value = "维修网点名称")
    private String wxwdmc;

    @ApiModelProperty(value = "所属层级1")
    private String lv1;

    @ApiModelProperty(value = "所属层级2")
    private String lv2;

    @ApiModelProperty(value = "所属层级3")
    private String lv3;

    @ApiModelProperty(value = "所属层级4")
    private String lv4;

    @ApiModelProperty(value = "所属层级5")
    private String lv5;

    @ApiModelProperty(value = "所属层级6")
    private String lv6;

    @ApiModelProperty(value = "用户预约时间:开始时间")
    private Date yhyykssj;

    @ApiModelProperty(value = "用户预约时间：结束时间")
    private Date yhyyjssj;

    @ApiModelProperty(value = "创建网点编号")
    private String cjwdno;

    @ApiModelProperty(value = "创建网点名称")
    private String cjwdmc;

    @ApiModelProperty(value = "信息来源id")
    private Long xxlyid;

    @ApiModelProperty(value = "信息来源名称")
    private String xxlymc;
    
    @ApiModelProperty(value = "更新flag,保存已更新的客户端")
    private String updateFlag;
    
    @ApiModelProperty(value = "经度")
    private String longitude;
    
    @ApiModelProperty(value = "纬度")
    private String latitude;
	
	@ApiModelProperty("最后更新的状态信息")
	private RecycleAssignFkmxDownloadBean lastStep;
	@ApiModelProperty("回收产品信息(数组)")
	private List<RecycleAssignMxDownloadBean> hscpmx;
}
