package com.zfire.jiasm.syncdata.gree.recycle;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
public class RecycleAssignMxDownloadBean {
    private String pgmxid;
    @ApiModelProperty(value = "来源明细id")
    private String srcMxNo;

    private String createdBy;

    private Date createdDate;

    private String lastModifiedBy;

    private Date lastModifiedDate;

    @ApiModelProperty(value = "回收单主表id")
    private String pgguid;

    @ApiModelProperty(value = "回收产品大类 tbl_recycle_dalei id")
    private Long spid;

    @ApiModelProperty(value = "回收产品大类名称 tbl_recycle_dalei")
    private String spmc;

    @ApiModelProperty(value = "回收小类id tbl_recycle_xiaolei")
    private Integer xlid;

    @ApiModelProperty(value = "回收小类名称 tbl_recycle_xiaolei")
    private String xlmc;

    @ApiModelProperty(value = "机型编号 tbl_recycle_jixin")
    private String xhno;

    @ApiModelProperty(value = "机型名称 tbl_recycle_jixin")
    private String xhmc;

    @ApiModelProperty(value = "楼层 tbl_recycle_louceng_jg")
    private String floor;

    @ApiModelProperty(value = "是否拆机：是/否")
    private String dismantle;

    @ApiModelProperty(value = "回收数量")
    private Integer hssl;
}
