package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 需求小类下载记录
 * </p>
 *
 * @author gejiang
 * @since 2023-07-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ItfTblAssignXqxlDowload对象", description="需求小类下载记录")
public class ItfTblAssignXqxlDowload extends Model<ItfTblAssignXqxlDowload> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "同步任务id")
    private String synTaskNo;

    @TableId(value = "id", type = IdType.ID_WORKER_STR)
    private String id;

    private String createdBy;

    private Date createdDate;

    private String lastModifiedBy;

    private Date lastModifiedDate;

    @ApiModelProperty(value = "类别编号")
    private String lbno;

    @ApiModelProperty(value = "类别名称")
    private String lbmc;

    @ApiModelProperty(value = "排序等级")
    private String pxdj;

    @ApiModelProperty(value = "有效状态")
    private String flag;

    @ApiModelProperty(value = "大类id")
    private String daleiid;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
