package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 信息类别
 * </p>
 *
 * @author gejiang
 * @since 2023-07-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ItfTblAssignXxlbDowload对象", description="信息类别")
public class ItfTblAssignXxlbDowload extends Model<ItfTblAssignXxlbDowload> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "同步任务id")
    private String synTaskNo;

    @TableId(value = "lbid", type = IdType.ID_WORKER_STR)
    private Long lbid;

    private String createdBy;

    private Date createdDate;

    private String lastModifiedBy;

    private Date lastModifiedDate;

    @ApiModelProperty(value = "信息类别编号")
    private String lbno;

    @ApiModelProperty(value = "信息类别名称")
    private String lbmc;

    @ApiModelProperty(value = "排序等级")
    private Integer pxdj;

    @ApiModelProperty(value = "状态")
    private String flag;


    @Override
    protected Serializable pkVal() {
        return this.lbid;
    }

}
