package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户属性表
 * </p>
 *
 * @author gejiang
 * @since 2023-07-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ItfTblAssignYhsxWxDowload对象", description="用户属性表")
public class ItfTblAssignYhsxWxDowload extends Model<ItfTblAssignYhsxWxDowload> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "同步任务id")
    private String synTaskNo;

    @TableId(value = "yhsxid", type = IdType.ID_WORKER_STR)
    private Long yhsxid;

    private String createdBy;

    private Date createdDate;

    private String lastModifiedBy;

    private Date lastModifiedDate;

    @ApiModelProperty(value = "属性名称")
    private String yhsxmc;

    @ApiModelProperty(value = "排序")
    private Integer pxdj;

    @ApiModelProperty(value = "有效状态")
    private String flag;

    @ApiModelProperty(value = "创建人")
    private String cjren;

    @ApiModelProperty(value = "创建网点")
    private String cjwdno;

    @ApiModelProperty(value = "创建时间")
    private Date cjdt;

    @ApiModelProperty(value = "属性名称排序")
    private String yhsxmcvl;

    @ApiModelProperty(value = "发送短信标识")
    private Integer ifdx;

    @ApiModelProperty(value = "ROLS")
    private Integer rols;


    @Override
    protected Serializable pkVal() {
        return this.yhsxid;
    }

}
