package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户属性vip等级表
 * </p>
 *
 * @author gejiang
 * @since 2023-07-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ItfTblYhsxViprankDowload对象", description="用户属性vip等级表")
public class ItfTblYhsxViprankDowload extends Model<ItfTblYhsxViprankDowload> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "同步任务id")
    private String synTaskNo;

    @TableId(value = "vipid", type = IdType.ID_WORKER_STR)
    private Long vipid;

    private String createdBy;

    private Date createdDate;

    private String lastModifiedBy;

    private Date lastModifiedDate;

    @ApiModelProperty(value = "vip属性名称")
    private String vipmc;

    @ApiModelProperty(value = "排序等级")
    private Integer pxdj;

    @ApiModelProperty(value = "创建时间")
    private Date cjdt;


    @Override
    protected Serializable pkVal() {
        return this.vipid;
    }

}
