package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 资质申请材料管理
 * </p>
 *
 * @author gejiang
 * @since 2022-12-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="QualifyApplyManage对象", description="资质申请材料管理")
public class QualifyApplyManage extends Model<QualifyApplyManage> {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.ID_WORKER_STR)
    private String id;

    @ApiModelProperty(value = "类型 HOME=家用 TRADE=商用")
    private String type;

    @ApiModelProperty(value = "品类")
    private String mainType;

    @ApiModelProperty(value = "服务类型")
    private String serviceType;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
