package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 字典类型
 * </p>
 *
 * @author gejiang
 * @since 2023-07-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="SysDictType对象", description="字典类型")
public class SysDictType extends Model<SysDictType> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "字典类型")
    @TableId(value = "dict_type", type = IdType.ID_WORKER_STR)
    private String dictType;

    private String remark;


    @Override
    protected Serializable pkVal() {
        return this.dictType;
    }

}
