package com.zfire.jiasm.syncdata.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zfire.jiasm.syncdata.parameter.ReAppointment;
import com.zfire.jiasm.syncdata.plus.entity.ItfTblAssignSatisfactionDownload;
import com.zfire.jiasm.syncdata.plus.entity.OrderAppraise;
import org.apache.ibatis.annotations.Param;

/**
 * 客户评价下载记录表 Mapper 接口
 * @author yaozx
 * @since 2023-03-14
 */
public interface AssignSatisfactionDownloadMapper extends BaseMapper<ItfTblAssignSatisfactionDownload> {

    ItfTblAssignSatisfactionDownload getSatisfaction(@Param("request") ReAppointment request);
    OrderAppraise getOrderAppraise(@Param("request") ReAppointment request);

}
