package com.zfire.jiasm.syncdata.dao.mapper;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zfire.jiasm.syncdata.parameter.InstallDetail;
import com.zfire.jiasm.syncdata.plus.entity.ItfTblAzWgmxJyktUpload;
import com.zfire.jiasm.syncdata.plus.entity.ItfTblAzWgmxQitaUpload;
import com.zfire.jiasm.syncdata.plus.entity.ItfTblAzWgmxSyktUpload;
import com.zfire.jiasm.syncdata.plus.entity.OrderInstallDetail;
import org.apache.ibatis.annotations.Param;

/**
 * 安装工单采集明细表 Mapper 接口
 * @author yaozx
 * @since 2023-03-02
 */
public interface DetailOrderInstallMapper extends BaseMapper<OrderInstallDetail>  {

    @SqlParser(filter = true)
    ItfTblAzWgmxJyktUpload getOrderInstallUpload(@Param("request") InstallDetail request);
    @SqlParser(filter = true)
    ItfTblAzWgmxSyktUpload getSyOrderInstallUpload(@Param("request") InstallDetail request);
    @SqlParser(filter = true)
    ItfTblAzWgmxQitaUpload getOtherOrderInstallUpload(@Param("request") InstallDetail request);

    void installUpdatePgguid(@Param("request") InstallDetail request);

    @SqlParser(filter = true)
    ItfTblAzWgmxJyktUpload getOrderInstallUploadCj(@Param("request") InstallDetail request);
    @SqlParser(filter = true)
    ItfTblAzWgmxSyktUpload getSyOrderInstallUploadCj(@Param("request") InstallDetail request);
    @SqlParser(filter = true)
    ItfTblAzWgmxQitaUpload getOtherOrderInstallUploadCj(@Param("request") InstallDetail request);
}
