package com.zfire.jiasm.syncdata.dao.mapper;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zfire.jiasm.syncdata.parameter.OrderPar;
import com.zfire.jiasm.syncdata.plus.entity.ItfTblWxjsJyktUpload;
import com.zfire.jiasm.syncdata.plus.entity.OrderRepairDetail;
import org.apache.ibatis.annotations.Param;

/**
 * 维修数据采集明细表 Mapper 接口
 * @author yaozx
 * @since 2023-03-09
 */
public interface DetailOrderRepairMapper extends BaseMapper<OrderRepairDetail> {
    void updatePgid(@Param("request") OrderPar request);
    @SqlParser(filter = true)
    ItfTblWxjsJyktUpload getItfTblWxjsJyktUpload(@Param("request") OrderPar request);
}
