package com.zfire.jiasm.syncdata.dao.mapper;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zfire.jiasm.syncdata.parameter.OrderPar;
import com.zfire.jiasm.syncdata.plus.entity.ItfTblAssignFeeUpload;
import com.zfire.jiasm.syncdata.plus.entity.ItfTblWxjsWxxmJyktUpload;
import com.zfire.jiasm.syncdata.plus.entity.OrderRepairDetailItem;
import org.apache.ibatis.annotations.Param;

/**
 * 故障项目 Mapper 接口
 * @author yaozx
 * @since 2023-03-23
 */
public interface ItemOrderRepairDetailMapper extends BaseMapper<OrderRepairDetailItem> {

    @SqlParser(filter = true)
    ItfTblWxjsWxxmJyktUpload getItfTblWxjsWxxmJyktUpload(@Param("request") OrderPar request);
    @SqlParser(filter = true)
    ItfTblAssignFeeUpload getItfTblAssignFeeUpload(@Param("request") OrderPar request);
}
