package com.zfire.jiasm.syncdata.download.order;


import com.zfire.jiasm.syncdata.constant.TaskConfigEnum;
import com.zfire.jiasm.syncdata.service.OrderDownService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class OrderDownload {
    @Value("${netfsxc}")
    private String netfsxc = "";

    @Autowired
    OrderDownService orderDownService;



    // 下载工单数据
    @Scheduled(fixedDelayString = "${installdown}")
    public void download() throws Exception {
        if (netfsxc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }

        orderDownService.syncData();
    }
}
