package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author gejiang
 * @since 2023-07-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CustomerInformationCategory对象", description="")
public class CustomerInformationCategory extends Model<CustomerInformationCategory> {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.ID_WORKER_STR)
    private String id;

    @ApiModelProperty(value = "商品类别id(大类id,mainId)")
    private String goodsCategoryId;

    @ApiModelProperty(value = "商品类别")
    private String goodsCategoryName;

    @ApiModelProperty(value = "商户id")
    private String customerId;

    @ApiModelProperty(value = "家用/商用")
    private String flag;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
