package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 工程师技能标签
 * </p>
 *
 * @author gejiang
 * @since 2023-07-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="IntegralGradeSkill对象", description="工程师技能标签")
public class IntegralGradeSkill extends Model<IntegralGradeSkill> {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.ID_WORKER_STR)
    private String id;

    @ApiModelProperty(value = "技能标签id")
    private String skillLabelId;

    @ApiModelProperty(value = "标签名称")
    private String skillLabelName;

    @ApiModelProperty(value = "等级配置id")
    private String gradeConfigureId;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
