package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 故障现象类别下载记录
 * </p>
 *
 * @author gejiang
 * @since 2023-07-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ItfTblAssignGzdmDowload对象", description="故障现象类别下载记录")
public class ItfTblAssignGzdmDowload extends Model<ItfTblAssignGzdmDowload> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "同步任务id")
    private String synTaskNo;

    @TableId(value = "gzid", type = IdType.ID_WORKER_STR)
    private Long gzid;

    private String createdBy;

    private Date createdDate;

    private String lastModifiedBy;

    private Date lastModifiedDate;

    @ApiModelProperty(value = "故障编号故障编号")
    private String gzno;

    @ApiModelProperty(value = "故障名称")
    private String gzmc;

    @ApiModelProperty(value = "排序等级")
    private Integer pxdj;

    @ApiModelProperty(value = "状态")
    private String flag;

    @ApiModelProperty(value = "品类类别")
    private String leib;

    @ApiModelProperty(value = "创建人")
    private String cjren;

    @ApiModelProperty(value = "创建网点编号")
    private String cjwdno;

    @ApiModelProperty(value = "创建时间")
    private Date cjdt;


    @Override
    protected Serializable pkVal() {
        return this.gzid;
    }

}
