package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 信息渠道
 * </p>
 *
 * @author gejiang
 * @since 2023-07-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ItfTblAssignXxqdDowload对象", description="信息渠道")
public class ItfTblAssignXxqdDowload extends Model<ItfTblAssignXxqdDowload> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "同步任务id")
    private String synTaskNo;

    @TableId(value = "qdid", type = IdType.ID_WORKER_STR)
    private Long qdid;

    private String createdBy;

    private Date createdDate;

    private String lastModifiedBy;

    private Date lastModifiedDate;

    @ApiModelProperty(value = "信息渠道编号")
    private String qdno;

    @ApiModelProperty(value = "信息渠道名称")
    private String qdmc;

    @ApiModelProperty(value = "排序等级")
    private Integer pxdj;

    @ApiModelProperty(value = "有效状态")
    private String flag;

    @ApiModelProperty(value = "创建人")
    private String cjren;

    @ApiModelProperty(value = "创建网点编号")
    private String cjwdno;

    @ApiModelProperty(value = "创建时间")
    private Date cjdt;


    @Override
    protected Serializable pkVal() {
        return this.qdid;
    }

}
