package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 格力系列表
 * </p>
 *
 * @author gejiang
 * @since 2023-07-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ItfTblSplbXilieDownload对象", description="格力系列表")
public class ItfTblSplbXilieDownload extends Model<ItfTblSplbXilieDownload> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "同步任务id")
    private String synTaskNo;

    @ApiModelProperty(value = "同步任务号")
    @TableId(value = "syn_req_id", type = IdType.AUTO)
    private Long synReqId;

    @ApiModelProperty(value = "同步任务生成时间")
    private Date synReqTime;

    @ApiModelProperty(value = "同步标志 0=未同步 1=已同步")
    private Integer synStatus;

    @ApiModelProperty(value = "同步时间")
    private Date synTime;

    @ApiModelProperty(value = "同步错误次数")
    private Integer synTimes;

    @ApiModelProperty(value = "同步错误信息")
    private String synErrMsg;

    private String id;

    private String createdBy;

    private Date createdDate;

    private String lastModifiedBy;

    private Date lastModifiedDate;

    @ApiModelProperty(value = "商品类别序号")
    private Long spid;

    @ApiModelProperty(value = "小类序号")
    private Integer xlid;

    @ApiModelProperty(value = "系列序号")
    private Integer xiid;

    @ApiModelProperty(value = "系列编号")
    private String xino;

    @ApiModelProperty(value = "系列名称")
    private String ximc;

    @ApiModelProperty(value = "排序等级")
    private Integer pxdj;

    @ApiModelProperty(value = "状态")
    private String flag;

    @ApiModelProperty(value = "操作时间")
    private Date czsj;


    @Override
    protected Serializable pkVal() {
        return this.synReqId;
    }

}
