package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author gejiang
 * @since 2023-07-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="LabelCurrency对象", description="")
public class LabelCurrency extends Model<LabelCurrency> {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.ID_WORKER_STR)
    private String id;

    private String labelId;

    @ApiModelProperty(value = "关联属性 TOOL 工具 CARD 证件 REPAIR 维修需求类别")
    private String labelType;

    @ApiModelProperty(value = "属性id")
    private String currencyId;

    @ApiModelProperty(value = "属性名称")
    private String currencyName;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
